#!/bin/sh
# ========================================================
if [ ! -e /.myControl ]; then
	mkdir /.myControl
fi

# Record the last start day
if [ -e /.myControl/lastDay ]; then
	. /.myControl/lastDay
fi

today=$(date +%d)
yesterday=$(date --date="yesterday" +%d)

if [ -e /.myControl/nostart ]; then
	if [ $lastDay -eq $yesterday ] || [ $lastDay -eq $today ]; then
		echo "I'm sorry, system must going down now"
		#shutdown -h now
		exit
	else
		rm -f /.myControl/nostart
	fi
fi

#Reset today's total uptime
if [ ! -e /.myControl/nostart ] && [ $lastDay -ne $today ]; then
	echo "totalUptime=0" > /.myControl/upTime
	echo "uptimeLast=0" >> /.myControl/upTime
fi

now=$(perl -e "print time()")
echo "startTime=$now" > /.myControl/startTime
echo "lastDay=$today" > /.myControl/lastDay

exit 0
